#ifndef GIMMELIB_BITPLANE_H
#define GIMMELIB_BITPLANE_H

/* flags for gimmeBitPlanes() */
#define GBP_SEPARATE		(1L << 0)       /* separate bitplanes */
#define GBP_CONTIGUOUS		(1L << 1)       /* make bitplanes contiguous */
/* default (can be 0L too): try contiguous first, then separate */
#define GBP_DEFAULT		(GPIC_CONTIGUOUS | GPIC_SEPARATE)
/* error return flag */
#define GBP_ERROR		0xFF000000L	/* unable to get planes */

#endif !GIMMELIB_BITPLANE_H
