/*
 *  FILE: globals.c
 *  Some global declarations.
 *  This allows inclusion of <gimmelib/gimmeall.h> without linking in entire
 *  files containing global variables unnecessarily.
 *
 *  Public Domain, but keep my name in it as the original author.
 *  31-Aug-88	Jan Sven Trabandt   first release version
 */


#define I_AM_GIM_GLOBALS
#include "gimmelib/requester.h"
#include "gimmelib/scrollbar.h"

/* generally usefull stuff */
struct TextAttr gimMyFont = {
    (STRPTR) "topaz.font",
    TOPAZ_EIGHTY,
    FS_NORMAL,
    FPF_ROMFONT
  };


/* for requester.c */
UBYTE *gimAutReqPostext = (UBYTE *) GAR_POSTEXT;
UBYTE *gimAutReqNegtext = (UBYTE *) GAR_NEGTEXT;


/* for scrollbar.c */
USHORT gimDataOneScrollUp[] = {
    0xffff,
    0xffff,
    0xfe7f,
    0xfdbf,
    0xfbdf,
    0xf7ef,
    0xeff7,
    0xdffb,
    0xffff
  };
USHORT gimDataOneScrollDown[] = {
    0xffff, 0xdffb, 0xeff7, 0xf7ef, 0xfbdf,
    0xfdbf, 0xfe7f, 0xffff, 0xffff
  };
USHORT gimDataOneScrollLeft[] = {
    0xffff, 0xffcf, 0xff3f, 0xfcff, 0xf3ff,
    0xfcff, 0xff3f, 0xffcf, 0xffff
  };
USHORT gimDataOneScrollRight[] = {
    0xffff, 0xf3ff, 0xfcff, 0xff3f, 0xffcf,
    0xff3f, 0xfcff, 0xf3ff, 0xffff
  };
