#ifndef GIMMELIB_POSTEXT_H
#define GIMMELIB_POSTEXT_H


/*  Flags to be used in the "myflags" parameter to the
 *  positionText() routine, and perhaps other routines.
 *  Choose only one x-flag and only one y-flag and or them together.
#define GPT_XLEFT	(1L << 0)       /* default for positionText() */
#define GPT_XRIGHT	(1L << 1)
#define GPT_XCENTRE	(1L << 2)
#define GPT_XFLAGS	(0x000000FFL)

#define GPT_YTOP	(1L << 8)
#define GPT_YBOTTOM	(1L << 9)
#define GPT_YCENTRE	(1L << 10)
#define GPT_YCENTREBASE (1L << 11)
#define GPT_YBASELINE	(1L << 12)      /* default for positionText() */
#define GPT_YFLAGS	(0x0000FF00L)

/* alternatively you can use the following for defaults */
#define GPT_XDEFAULT	0L
#define GPT_YDEFAULT	0L
#define GPT_DEFAULT	0L		/* easy way to get default x,y pos */

/* special control flags for positionText() */
#define GPT_YUPWARDS	(1L << 16)
#define GPT_YDOWNWARDS	(1L << 17)
#define GPT_XTHICKEN	(1L << 18)

/* special control flags for gimmeBoolGadget() */
#define GPT_FULLWIDTH	(1L << 28)

#define GPT_CTLFLAGS	(0x0FFFF0000L)

#endif !GIMMELIB_POSTEXT_H
