#ifndef GIMMELIB_SCROLLBAR_H
#define GIMMELIB_SCROLLBAR_H

/* flags for gimmeOneScroll() */
#define GOS_TOP 	    (1L << 0)
#define GOS_BOT 	    (1L << 1)   /* default if FREEVERT */
#define GOS_LEFT	    (1L << 2)
#define GOS_RIGHT	    (1L << 3)   /* default if FREEHORIZ */

/* dimensions of image data for one-scroll gadgets */
#define GOS_BITWIDTH	16
#define GOS_BITHEIGHT	9
#define GOS_BITDEPTH	1

/* dimensions of Intuition sizing gadget */
#define GIM_SZWIDTH	    16
#define GIM_SZHEIGHT	    9
#define GIM_SZDEPTH	    1
#define GIM_DFLT_TBHEIGHT   10	    /* default Intuition titlebar height */


#ifndef I_AM_GIM_GLOBALS
extern USHORT gimDataOneScrollUp[];
extern USHORT gimDataOneScrollDown[];
extern USHORT gimDataOneScrollLeft[];
extern USHORT gimDataOneScrollRight[];
#endif !I_AM_GIM_GLOBALS


/* flags for gimmeScrollBar(), gimmeFullScrollBar() */
#define GSB_DEFAULT	    (0L)
#define GSB_ONE_SCROLL	    (1L << 0)   /* gimmescrollbar with one-scrolls */
#define GSB_NO_TITLEBAR     (1L << 1)

#endif !GIMMELIB_SCROLLBAR_H
