#ifndef GIMMELIB_GADGET_H
#define GIMMELIB_GADGET_H

#include "gimmelib/postext.h"

/***
    flags for gimmeBoolGadget()
    ==> see flags for positionText() in <gimmelib/postext.h>
    NOTE: the default flags are as follows (use the appropriate flags or 0L):
	    x : left
	    y : top
***/

#ifdef I_AM_GADGET
/* internal spacing for gadgets */
#define HORIZ_SPACE	5
#define VERT_SPACE	2
#define AROUND_SPACE	1
#endif I_AM_GADGET

/* size of string gadget's undo buffer */
#define GIM_DFLT_UNDO_BUF_SIZE	    81

#endif !GIMMELIB_GADGET_H
