#ifndef GIMMELIB_MENUSTUFF_H
#define GIMMELIB_MENUSTUFF_H

/* flags for various menu routines (mutually exclusive across routines) */

/* note: GMI_APPEAREND and GIM_SHUFFLE do not make much sense together */
#define GMI_ADDSUBITEM	(1L << 1)           /* add this item as a subitem */
#define GMI_FIXUP	(1L << 2)           /* modify new item heights */
#define GMI_SHUFFLE	(1L << 3)           /* modify existing item heights */
#define GMI_APPEAREND	(1L << 4)           /* visually appear at end */
#define GMI_FIXUPME	(1L << 5)           /* modify new mutual excludes */
#define GMI_SHUFFLEME	(1L << 6)           /* modify existing mutual exclude */
#define GMI_REMSUBITEM	(1L << 14)          /* remove this item as a subitem */
#define GMI_ADDRONLY	(1L << 15)          /* just find (sub)item address */

#define GMI_RESERVED	(0xfff00000L)       /* reserved for internal use */

#define GMI_DEFAULT	0L

#endif !GIMMELIB_MENUSTUFF_H
